UpdateUserAttribute
/api/v1/users/{user}/userattributes/{user_attribute}Update one of a user’s attributes.
Example request
Section titled “Example request”curl -X PATCH \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "integration": "string", "key": "string", "value": "string" }' \ "https://us.oblique.security/api/v1/users/{user}/userattributes/{user_attribute}?updateMask=integration,key,value"Set OBLIQUE_API_KEY to your API key.
curl -X PATCH \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "integration": "string", "key": "string", "value": "string" }' \ "https://eu.oblique.security/api/v1/users/{user}/userattributes/{user_attribute}?updateMask=integration,key,value"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”userAttribute.namestringrequiredAssigned by Oblique. Name of the attribute of the format
users/{user}/userattributes/{user_attribute}.
Query parameters
Section titled “Query parameters”updateMaskstring (field-mask)The list of fields to update.
allowMissingbooleanIf set to true, and the attribute is not found, a new attribute will be created with the given name. If created in this way,
update_maskis ignored.
Request body
Section titled “Request body”createTimestring (date-time)read-onlyCreate timestamp of the attributes. This is always the same as the parent user.
updateTimestring (date-time)read-onlyThe last time that attributes were modified.
integrationstringrequiredThe integration that manages the attribute.
Format:
integrations/{integration}keystringrequiredThe key of the attribute, such as “department” or “costCenter”.
valuestringrequiredThe value of the attribute, such as “Engineering” or “12345”.
Response
Section titled “Response”200UserAttributenamestringAssigned by Oblique. Name of the attribute of the format
users/{user}/userattributes/{user_attribute}.createTimestring (date-time)read-onlyCreate timestamp of the attributes. This is always the same as the parent user.
updateTimestring (date-time)read-onlyThe last time that attributes were modified.
integrationstringrequiredThe integration that manages the attribute.
Format:
integrations/{integration}keystringrequiredThe key of the attribute, such as “department” or “costCenter”.
valuestringrequiredThe value of the attribute, such as “Engineering” or “12345”.
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |